Subject: Re: Fwd: Solidrun ClearFog Base and Huawei MA5671A SFP

From: Russell King - ARM Linux admin <[email-masked]>
Date: Sat, 26 Dec 2020 22:27:40 +0000

Sorry, this will not work. The MA5671A modules are configured to use
dying gasp on pin 7, and pin 7 is grounded on the Armada 388 Clearfog
platforms, resulting in the module not booting.

I'm sorry, I can't recommend a module; I don't use SFP GPON modules
myself.

On Sat, Dec 26, 2020 at 11:15:18PM +0100, Heiner Kallweit wrote:
> Sounds like something where you may be able to help.
> 
> Heiner
> 
> -------- Forwarded Message --------
> Subject: Solidrun ClearFog Base and Huawei MA5671A SFP
> Date: Sat, 26 Dec 2020 16:41:40 -0500
> From: Hamza Mahfooz <[email-masked]>
> To: [email-masked]
> 
> Hey, has anyone got the ClearFog (ARMADA 388 SoC) to work with the 
> MA5671A? I've to been trying to get the ClearFog to read the MA5671A's 
> EEPROM however it always throws the following error:
> 
> > # dmesg | grep sfp
> > [ 4.550651] sfp sfp: Host maximum power 2.0W
> > [ 5.875047] sfp sfp: please wait, module slow to respond
> > [ 61.295045] sfp sfp: failed to read EEPROM: -6
> 
> I've tried to increase the retry timeout in `/drivers/net/phy/sfp.c` 
> (i.e. T_PROBE_RETRY_SLOW) so far, any suggestions would be appreciated. 
> Also, I'm on kernel version 5.9.13.
> 
> 
> 

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!